Bug 986606 - kernel.x86_64 3.9.9-302.fc19 fails to detect Intel Cedar Trail graphics capability
kernel.x86_64 3.9.9-302.fc19 fails to detect Intel Cedar Trail graphics capab...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 18:48 EDT by Richard Elkins
Modified: 2013-07-30 09:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 09:58:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar.gz container of some logs (13.39 KB, application/octet-stream)
2013-07-21 07:50 EDT, Richard Elkins
no flags Details

  None (edit)
Description Richard Elkins 2013-07-20 18:48:13 EDT
My motherboard is an Intel D2550MUD2 (Mini-ITX "Cedar Trail" aka "CedarView" with Intel NM10 Express chipset and Intel GMA 3650 video). During installation, F19/XFCE using kernel.x86_64 3.9.5-301.fc19 successfully detected my graphics card and Acer S211HL monitor (1920x1080 22") capabilities automatically. My video driver is xorg-x11-drv-intel.x86_64 2.21.8-1.fc19.

Unfortunately, my recent upgrade to kernel 3.9.9 lost my automatically detected video (no change to the video driver). I get to a login prompt window but the screen elements containing a user list are never rendered. Even the X-Windows/XFCE keyboard seems out of order (E.g. Ctrl-Alt-k combinations are ineffective). Fortunately, power off led to a graceful shutdown. 

Falling back to kernel 3.9.5 successfully restored automatic video detection.

Technical specifications for the Intel D2550MUD2:
http://www.intel.com/p/en_US/support/highlights/dsktpboards/db-d2550mud2?wapkw=d2550mud2
Comment 1 Richard Elkins 2013-07-20 19:04:55 EDT
This is probably difficult to reproduce unless you have a motherboard with the same Intel video and chipset.  If the kernel folks would like me to collect information and/or run an experimental kernel, I am certainly willing and able.  

Please note that I'll need some help into getting into single user mode as the F19 handbook instructions for single user mode do not seem to work (maybe I missed something?).  Also, a recovery mode boot got me into the same unuseful situation as normal mode.  

In order to do anything useful, I believe that I would need to get into a TTY mode of operation.
Comment 2 Richard Elkins 2013-07-21 07:50:51 EDT
Created attachment 776438 [details]
tar.gz container of some logs

Contents of log_bundle.tar.gz:

boot.395.log       lsb_release.395.log  lsmod.395.log  messages.399.395
lscpu.395.log      lspci.395.log        Xorg.395.log
lsblk.395.log      lshw.395.log         lsusb.395.log  Xorg.399.log
Comment 3 Richard Elkins 2013-07-30 09:58:34 EDT
After thinking about this issue more, I'd rather pursue this with Intel (01.org) and not bother the kernel folks.  It will probably require an xorg update too but I doubt if this is a kernel issue.

Pardon any distraction.

Note You need to log in before you can comment on or make changes to this bug.